﻿// Upgrade NOTE: replaced '_Object2World' with 'unity_ObjectToWorld'

Shader "Custom/BillboardShader"
{
	Properties
	{
		_Color("Color", Color) = (1,1,1,1)
		_MainTex ("Texture", 2D) = "white" {}
	}
	SubShader
	{
		Tags { "RenderType"="Opaque" }
		LOD 100

		Pass
		{
			CGPROGRAM
			#pragma vertex VS
			#pragma fragment PS
			uniform sampler2D _MainTex;         float4 _Color;                  struct vertexOut {            float4 pos : SV_POSITION;            float4 tex : TEXCOORD0;         };          vertexOut VS(float4 position : POSITION, float4 tex : TEXCOORD0)          {            vertexOut output;
            float3 scale = mul(unity_ObjectToWorld, float4(1,1,1,0)).xyz;            float4 CenterVPos = mul(UNITY_MATRIX_MV, float4(0.0, 0.0, 0.0, 1.0));            float4 VPos = CenterVPos + float4(position.x * scale.x, position.y * scale.y, 0.0, 0.0);            output.pos = mul(UNITY_MATRIX_P, VPos);              output.tex=tex;
   	            return output;         }          float4 PS(vertexOut input) : COLOR         {            float4 color = tex2D(_MainTex, float2(input.tex.xy)) * _Color; 


            clip(color.a - 0.1);
            //if (color.a < 0.1)
            	//discard;
            return color;         }
			ENDCG
		}
	}
}
